#language: ru

@fzp

Функционал: 004. Планирование переработки. АРМ Планирование выпуска переработки

Сценарий: 004.1. Планирование переработки. АРМ Планирование выпуска переработки

	Дано Я подключаюсь под "Администратор"
	И В командном интерфейсе я выбираю 'Планирование' 'Планирование выпуска переработки'
	Тогда я жду открытия окна 'Планирование выпуска переработки' в течение 20 секунд
	И в поле 'Текущая дата' я ввожу текст '04.02.2019'
	И в поле 'Начало интервала планирования' я ввожу текст '04.02.2019'
	И в поле 'Количество дней планирования' я ввожу текст '6'
	И я перехожу к закладке "Настройки"
	Тогда я жду открытия окна 'Планирование выпуска переработки' в течение 20 секунд
	И я изменяю флаг 'Учитывать нормативный запас при обеспечении'
	И в поле 'Допустимый процент отклонения прогноза и предварительного заказа' я ввожу текст '30,00'
	И в поле 'Критический процент ОСГ' я ввожу текст '70,00'
	И из выпадающего списка "Настройки формирования заявки на производство" я выбираю по строке 'Копченые колбасы'
	И из выпадающего списка "Вариант распределения маркировки по датам" я выбираю по строке 'Часть текущим днем, остальное следующим'
	И я перехожу к закладке "Отгрузки"
	И в таблице "ДеревоОтгрузок" я нажимаю на кнопку с именем 'ФормаОбновить'
	И в таблице "ДеревоОтгрузок" я разворачиваю строку с подчиненными:
		| 'Группировка'           |
		| '(БП) Сервелат Финский' |
	И в таблице "ДеревоОтгрузок" я нажимаю на кнопку 'для всех дней'
	И в таблице "ДеревоОтгрузок" я нажимаю на кнопку 'Сохранить отгрузки'
	И я перехожу к закладке "Запуск в производство"
	И в таблице "ДеревоЗапускаПроизводства" я нажимаю на кнопку с именем 'ДеревоЗапускаПроизводстваОбновитьЗапускВПроизводство'
	И в таблице "ДеревоЗапускаПроизводства" я нажимаю на кнопку 'Обеспечить выпуском все дни'
	И в таблице "ДеревоЗапускаПроизводства" я нажимаю на кнопку 'Сохранить запуск в производство'
	И я перехожу к закладке с именем "СтраницаУпаковка"
	И в таблице "ДеревоУпаковки" я нажимаю на кнопку с именем 'ДеревоУпаковкиОбновитьУпаковки'
	И в таблице "ДеревоУпаковки" я нажимаю на кнопку 'распределить весь неупакованный продукт на день'
	Тогда я жду открытия окна 'Введите день из периода планирования' в течение 20 секунд
	И в поле 'InputFld' я ввожу текст '04.02.2019'
	И я нажимаю на кнопку 'OK'
	Тогда я жду открытия окна 'Планирование выпуска переработки' в течение 20 секунд
	И в таблице "ДеревоУпаковки" я нажимаю на кнопку 'отнести доступную Н/М продукцию на характеристику по умолчанию'
	Тогда я жду открытия окна 'Введите день из периода планирования' в течение 20 секунд
	И в поле 'InputFld' я ввожу текст '04.02.2019'
	И я нажимаю на кнопку 'OK'
	Тогда я жду открытия окна 'Планирование выпуска переработки' в течение 20 секунд
	И в таблице "ДеревоУпаковки" я нажимаю на кнопку 'Сохранить задание на упаковку'
	И Я закрываю окно 'Планирование выпуска переработки'